diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 6da106c1..ec8ab954 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -2422,31 +2422,31 @@ define('tools.querytool', [
             if(data.types[0] && data.types[0].typname === 'json') {
               /* json is sent as text, parse it */
               explain_data_json = JSON.parse(data.result[0]);
+            }
 
-              if (explain_data_json && explain_data_json[0] &&
-                explain_data_json[0].hasOwnProperty('Plan') &&
-                _.isObject(explain_data_json[0]['Plan'])
-              ) {
-                var explain_data = [JSON.stringify(explain_data_json, null, 2)];
-                explain_data_array.push(explain_data);
-                // Make sure - the 'Data Output' panel is visible, before - we
-                // start rendering the grid.
-                self.gridView.data_output_panel.focus();
-                setTimeout(
-                  function() {
-                    self.gridView.render_grid(
-                      explain_data_array, self.columns, self.can_edit,
-                      self.client_primary_key
-                    );
-                    // Make sure - the 'Explain' panel is visible, before - we
-                    // start rendering the grid.
-                    self.gridView.explain_panel.focus();
-                    pgExplain.DrawJSONPlan(
-                      $('.sql-editor-explain'), explain_data_json
-                    );
-                  }, 10
-                );
-              }
+            if (explain_data_json && explain_data_json[0] &&
+              explain_data_json[0].hasOwnProperty('Plan') &&
+              _.isObject(explain_data_json[0]['Plan'])
+            ) {
+              var explain_data = [JSON.stringify(explain_data_json, null, 2)];
+              explain_data_array.push(explain_data);
+              // Make sure - the 'Data Output' panel is visible, before - we
+              // start rendering the grid.
+              self.gridView.data_output_panel.focus();
+              setTimeout(
+                function() {
+                  self.gridView.render_grid(
+                    explain_data_array, self.columns, self.can_edit,
+                    self.client_primary_key
+                  );
+                  // Make sure - the 'Explain' panel is visible, before - we
+                  // start rendering the grid.
+                  self.gridView.explain_panel.focus();
+                  pgExplain.DrawJSONPlan(
+                    $('.sql-editor-explain'), explain_data_json
+                  );
+                }, 10
+              );
             } else {
               // Make sure - the 'Data Output' panel is visible, before - we
               // start rendering the grid.
